#define PORTA_DIR	0
#define PORTB_DIR	1
#define PORTCU_DIR	2
#define PORTCL_DIR	3

#define LDAB_BIT	0
#define WR_BIT		1
#define CLR_BIT		2

#define PORTA		0
#define PORTB		1
#define PORTC		2

#define OUTPUT		1
#define INPUT		0

#define LOWBYTE_MASK	0x00ff
#define HIGHBYTE_MASK	0xff00

#include "driver/ServoToGo.h"
class ServoToGo;

class max547Driver
{
	private:
	ServoToGo *stg;
	unsigned char lowByte;
	unsigned char highByte;
	long int Dcount;

	public:	
	max547Driver(ServoToGo *stgPtr);
	~max547Driver();

	void initDriver(void);
	void pulseLDAB(void);
	void pulseWR(void);
	void writeData(short int dacCount);




};
